<?php
/**
* @version   $Id: gantry.config.php 26156 2015-01-27 16:34:02Z james $
* @author    RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
defined('JPATH_BASE') or die();

$gantry_presets = array(
    'presets' => array(
        'preset1' => array(
            'name'                              => 'Preset 1',

            'logo-type'                         => 'preset1',

            'accent-color1'                     => '#01ACDE',
            'accent-color2'                     => '#BB3B79',
            'accent-color3'                     => '#1D182C',
            'accent-color4'                     => '#EDE6EA',

            'demostyle-type'                    => 'preset1',

            'headersurround-bgcolor1'           => '#262B3F',
            'headersurround-bgcolor2'           => '#A9B8EF',
            'headersurround-type'               => 'preset1',

            'headerbottom-gap'                  => '160',

            'header-textcolor'                  => '#72698A',
            'header-background'                 => '#1D182C',

            'top-textcolor'                     => '#FFFFFF',
            'top-background'                    => 'transparent',

            'showcase-textcolor'                => '#72698A',
            'showcase-background'               => '#1D182C',

            'featuresurround-background'        => '#F7F1F5',

            'feature-textcolor'                 => '#1D182C',
            'feature-background'                => '#FFFFFF',

            'bodytopsurround-background'        => '#1D182C',

            'mainbody-overlay'                  => 'light',
            'mainbodysurround-background'       => '#EFE9ED',
            'mainbody-background'               => '#FFFFFF',

            'bodybottomsurround-background'     => '#01ACDE',

            'extensionsurround-background'      => '#1D182C',

            'footersurround-background'         => '#F7F1F5',

            'extension-textcolor'               => '#FFFFFF',
            'extension-background'              => '#E35614',

            'bottom-textcolor'                  => '#FFFFFF',
            'bottom-background'                 => '#1C1D1F',

            'footer-textcolor'                  => '#808080',
            'footer-background'                 => '#1C1D1F'
        ),
        'preset2' => array(
            'name'                              => 'Preset 2',

            'logo-type'                         => 'preset2',

            'accent-color1'                     => '#FFBF03',
            'accent-color2'                     => '#24ABA3',
            'accent-color3'                     => '#1D182C',
            'accent-color4'                     => '#EDE6EA',

            'demostyle-type'                    => 'preset2',

            'headersurround-bgcolor1'           => '#7A5E00',
            'headersurround-bgcolor2'           => '#D4A200',
            'headersurround-type'               => 'preset2',

            'headerbottom-gap'                  => '160',

            'header-textcolor'                  => '#72698A',
            'header-background'                 => '#1D182C',

            'top-textcolor'                     => '#FFFFFF',
            'top-background'                    => 'transparent',

            'showcase-textcolor'                => '#72698A',
            'showcase-background'               => '#1D182C',

            'featuresurround-background'        => '#F7F1F5',

            'feature-textcolor'                 => '#1D182C',
            'feature-background'                => '#FFFFFF',

            'bodytopsurround-background'        => '#1D182C',

            'mainbody-overlay'                  => 'light',
            'mainbodysurround-background'       => '#EFE9ED',
            'mainbody-background'               => '#FFFFFF',

            'bodybottomsurround-background'     => '#FFBF03',

            'extensionsurround-background'      => '#24ABA3',

            'footersurround-background'         => '#F7F1F5',

            'extension-textcolor'               => '#FFFFFF',
            'extension-background'              => '#E35614',

            'bottom-textcolor'                  => '#FFFFFF',
            'bottom-background'                 => '#1C1D1F',

            'footer-textcolor'                  => '#808080',
            'footer-background'                 => '#1C1D1F'
        ),
        'preset3' => array(
            'name'                              => 'Preset 3',

            'logo-type'                         => 'preset3',

            'accent-color1'                     => '#24ABA3',
            'accent-color2'                     => '#64AB23',
            'accent-color3'                     => '#1D182C',
            'accent-color4'                     => '#EDE6EA',

            'demostyle-type'                    => 'preset3',

            'headersurround-bgcolor1'           => '#1B2D36',
            'headersurround-bgcolor2'           => '#789597',
            'headersurround-type'               => 'preset3',

            'headerbottom-gap'                  => '160',

            'header-textcolor'                  => '#72698A',
            'header-background'                 => '#1D182C',

            'top-textcolor'                     => '#FFFFFF',
            'top-background'                    => 'transparent',

            'showcase-textcolor'                => '#72698A',
            'showcase-background'               => '#1D182C',

            'featuresurround-background'        => '#F7F1F5',

            'feature-textcolor'                 => '#1D182C',
            'feature-background'                => '#FFFFFF',

            'bodytopsurround-background'        => '#1D182C',

            'mainbody-overlay'                  => 'light',
            'mainbodysurround-background'       => '#EFE9ED',
            'mainbody-background'               => '#FFFFFF',

            'bodybottomsurround-background'     => '#24ABA3',

            'extensionsurround-background'      => '#497882',

            'footersurround-background'         => '#F7F1F5',

            'extension-textcolor'               => '#FFFFFF',
            'extension-background'              => '#E35614',

            'bottom-textcolor'                  => '#FFFFFF',
            'bottom-background'                 => '#1C1D1F',

            'footer-textcolor'                  => '#808080',
            'footer-background'                 => '#1C1D1F'
        ),
        'preset4' => array(
            'name'                              => 'Preset 4',

            'logo-type'                         => 'preset4',

            'accent-color1'                     => '#24ABA3',
            'accent-color2'                     => '#DB413D',
            'accent-color3'                     => '#1D182C',
            'accent-color4'                     => '#EDE6EA',

            'demostyle-type'                    => 'preset4',

            'headersurround-bgcolor1'           => '#08162A',
            'headersurround-bgcolor2'           => '#3068D3',
            'headersurround-type'               => 'preset4',

            'headerbottom-gap'                  => '160',

            'header-textcolor'                  => '#72698A',
            'header-background'                 => '#1D182C',

            'top-textcolor'                     => '#FFFFFF',
            'top-background'                    => 'transparent',

            'showcase-textcolor'                => '#72698A',
            'showcase-background'               => '#1D182C',

            'featuresurround-background'        => '#F7F1F5',

            'feature-textcolor'                 => '#1D182C',
            'feature-background'                => '#FFFFFF',

            'bodytopsurround-background'        => '#FFFFFF',

            'mainbody-overlay'                  => 'light',
            'mainbodysurround-background'       => '#FFFFFF',
            'mainbody-background'               => '#FFFFFF',

            'bodybottomsurround-background'     => '#24ABA3',

            'extensionsurround-background'      => '#FFFFFF',

            'footersurround-background'         => '#F7F1F5',

            'extension-textcolor'               => '#FFFFFF',
            'extension-background'              => '#E35614',

            'bottom-textcolor'                  => '#FFFFFF',
            'bottom-background'                 => '#1C1D1F',

            'footer-textcolor'                  => '#808080',
            'footer-background'                 => '#1C1D1F'
        ),
        'preset5' => array(
            'name'                              => 'Preset 5',

            'logo-type'                         => 'preset5',

            'accent-color1'                     => '#BB3B79',
            'accent-color2'                     => '#24ABA3',
            'accent-color3'                     => '#1D182C',
            'accent-color4'                     => '#EDE6EA',

            'demostyle-type'                    => 'preset5',

            'headersurround-bgcolor1'           => '#2B1163',
            'headersurround-bgcolor2'           => '#BB3B79',
            'headersurround-type'               => 'preset4',

            'headerbottom-gap'                  => '160',

            'header-textcolor'                  => '#72698A',
            'header-background'                 => '#1D182C',

            'top-textcolor'                     => '#FFFFFF',
            'top-background'                    => 'transparent',

            'showcase-textcolor'                => '#72698A',
            'showcase-background'               => '#1D182C',

            'featuresurround-background'        => '#F7F1F5',

            'feature-textcolor'                 => '#1D182C',
            'feature-background'                => '#FFFFFF',

            'bodytopsurround-background'        => '#FFFFFF',

            'mainbody-overlay'                  => 'light',
            'mainbodysurround-background'       => '#FFFFFF',
            'mainbody-background'               => '#FFFFFF',

            'bodybottomsurround-background'     => '#BB3B79',

            'extensionsurround-background'      => '#FFFFFF',

            'footersurround-background'         => '#F7F1F5',

            'extension-textcolor'               => '#FFFFFF',
            'extension-background'              => '#E35614',

            'bottom-textcolor'                  => '#FFFFFF',
            'bottom-background'                 => '#1C1D1F',

            'footer-textcolor'                  => '#808080',
            'footer-background'                 => '#1C1D1F'
        ),
        'preset6' => array(
            'name'                              => 'Preset 6',

            'logo-type'                         => 'preset6',

            'accent-color1'                     => '#C4334E',
            'accent-color2'                     => '#EDB047',
            'accent-color3'                     => '#1D182C',
            'accent-color4'                     => '#EDE6EA',

            'demostyle-type'                    => 'preset6',

            'headersurround-bgcolor1'           => '#5C153C',
            'headersurround-bgcolor2'           => '#FF4D4D',
            'headersurround-type'               => 'preset6',

            'headerbottom-gap'                  => '160',

            'header-textcolor'                  => '#72698A',
            'header-background'                 => '#1D182C',

            'top-textcolor'                     => '#FFFFFF',
            'top-background'                    => 'transparent',

            'showcase-textcolor'                => '#72698A',
            'showcase-background'               => '#1D182C',

            'featuresurround-background'        => '#F7F1F5',

            'feature-textcolor'                 => '#1D182C',
            'feature-background'                => '#FFFFFF',

            'bodytopsurround-background'        => '#FFFFFF',

            'mainbody-overlay'                  => 'light',
            'mainbodysurround-background'       => '#FFFFFF',
            'mainbody-background'               => '#FFFFFF',

            'bodybottomsurround-background'     => '#FF4D3D',

            'extensionsurround-background'      => '#FFFFFF',

            'footersurround-background'         => '#F7F1F5',

            'extension-textcolor'               => '#FFFFFF',
            'extension-background'              => '#E35614',

            'bottom-textcolor'                  => '#FFFFFF',
            'bottom-background'                 => '#1C1D1F',

            'footer-textcolor'                  => '#808080',
            'footer-background'                 => '#1C1D1F'
        )
    )
);


